Package org.gradle.api.publish

# Interface VariantVersionMappingStrategy

public interface VariantVersionMappingStrategy
Defines the version mapping strategy when publishing, for a specific variant.

Since:
  5.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fromResolutionOf(String configurationName)`
  Declares that this variant should use versions from the resolution of the configuration provided as an argument.
  `void`
  `fromResolutionOf(Configuration configuration)`
  Declares that this variant should use versions from the resolution of the configuration provided as an argument.
  `void`
  `fromResolutionResult()`
  Declares that this variant should use versions from the resolution of a default configuration chosen by Gradle.

- ## Method Details

  - ### fromResolutionResult

    void fromResolutionResult()
    Declares that this variant should use versions from the resolution of a default configuration chosen by Gradle.

  - ### fromResolutionOf

    void fromResolutionOf(Configuration configuration)
    Declares that this variant should use versions from the resolution of the configuration provided as an argument.
    Parameters:
      `configuration` - a resolvable configuration where to pick resolved version numbers

  - ### fromResolutionOf

    void fromResolutionOf(String configurationName)
    Declares that this variant should use versions from the resolution of the configuration provided as an argument.
    Parameters:
      `configurationName` - a resolvable configuration name where to pick resolved version numbers